QT += widgets uitools x11extras

CONFIG += link_pkgconfig fly
PKGCONFIG += x11
FLY += integration

TARGET = fly-dmgreet_common
TEMPLATE = lib

DEFINES += DM_COMMON_LIBRARY

TRANSLATIONS = $${TARGET}_ru.ts

SOURCES += \
    managers/localauthmanager.cpp \
    managers/greetermanagers.cpp \
    managers/manager.cpp \
    managers/sessionsmanager.cpp \
    managers/usersmanager.cpp \
    managers/virtualkeyboardmanager.cpp \
    managers/keyboardmanager.cpp \
    managers/connectionmanager.cpp \
    managers/consoleauthmanager.cpp \
    managers/shutdownmanager.cpp \
    tokenwatcher.cpp \
    widgets/basethemewidget.cpp \
    widgets/loginwidget.cpp \
    widgets/commonwidget.cpp \
    themeinfo.cpp \
    themedescription.cpp \
    exceptions.cpp \
    themewidgetcreator.cpp \
    sessiondescription.cpp \
    systeminfo.cpp \
    userinfo.cpp \
    process.cpp \
    keyboard.cpp \
    structures.cpp \
    utils.cpp \
    widgets/datetimewidgethandler.cpp \
    widgets/newpassworddialog.cpp \
    widgets/usercellwidget.cpp \
    widgets/widgetmenu.cpp \
    stssettings.cpp \
    swipegesturerecognizer.cpp \
    managers/domainmanager.cpp

HEADERS += \
    managers/sessionsmanager.h \
    managers/localauthmanager.h \
    managers/greetermanagers.h \
    managers/manager.h \
    managers/keyboardmanager.h \
    managers/connectionmanager.h \
    managers/consoleauthmanager.h \
    managers/virtualkeyboardmanager.h \
    managers/shutdownmanager.h \
    managers/usersmanager.h \
    tokenwatcher.h \
    widgets/loginwidget.h \
    widgets/commonwidget.h \
    themeinfo.h \
    themedescription.h \
    exceptions.h \
    themewidgetcreator.h \
    sessiondescription.h \
    systeminfo.h \
    userinfo.h \
    process.h \
    keyboard.h \
    structures.h \
    utils.h \
    widgets/basethemewidget.h \
    widgets/datetimewidgethandler.h \
    widgets/newpassworddialog.h \
    widgets/usercellwidget.h \
    widgets/widgetmenu.h \
    stssettings.h \
    dm_common_global.h \
    swipegesturerecognizer.h \
    managers/domainmanager.h
