#include "systeminfo.h"


const QString SystemInfo::fullPluginPath(const QString& name)
{
    if (name.startsWith('/')) {
        return name;
    } else {
        return "/usr/lib/x86_64-linux-gnu/fly-dmgreet_" + name; // TODO
    }
}

const QStringList SystemInfo::pointToStringList(char **point)
{
    QStringList list;
    for (char** ptr = point; *ptr; ++ptr) {
        list << QString::fromUtf8(*ptr);
    }

    return list;
}

__uid_t SystemInfo::intToUid_t(const int value)
{
    return static_cast<__uid_t>(value);
}
