#!/bin/bash

#check if nested
if [[ "${DISPLAY}" = *:10* ]]; then exit; fi

if [ -x /bin/df ]; then

IN_USE=`df -P $1 | sed -n '2,2p' | sed 's/%//' | tr -s ' '  | cut -f 5 -d ' '`

if [ -z "$LANG" ];then export LANG="ru_RU.UTF-8"; fi

if [ "$LANG" = "ru_RU.UTF-8" ]; then
  CAPTION="Внимание"
  MESSAGE="Мало места на диске (занято ${IN_USE}%)\nВозможны сбои в работе!"
else
  CAPTION="Attention"
  MESSAGE="Disk is full (in use ${IN_USE}%)\\nMailfunction is possible!"
fi

if [ $IN_USE -gt 98 ] ; then
  #if [ "$USER" = "root" || "$UID" = "0" ]; then
  if [ -z "$DESKTOP_SESSION" ]; then
    sudo -u fly-dm XAUTHORITY="${XAUTHORITY}" DBUS_SESSION_ADDRESS=none HOME=$DM_HOME /usr/bin/fly-dialog --caption "$CAPTION" --error "$MESSAGE"
  else
    /usr/bin/fly-dialog --caption "$CAPTION" --error "$MESSAGE"
  fi
fi

fi
